/// <reference types="react" />
import * as React from 'react';
import { ObjectClean } from 'typelevel-ts';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare type TFullDemoComponentProps = JSX.IntrinsicAttributes & {
    theme: {
        container?: string;
    };
};
export declare type TDemoComponentProps = ObjectClean<PartialKeys<TFullDemoComponentProps, 'theme'>>;
export declare const DemoComponent: React.ComponentClass<TDemoComponentProps>;
declare const Demo: React.SFC<Partial<TFullDemoComponentProps>>;
export default Demo;
export { Demo };
